Subject: Re: Remove micro-optimization for Funintern for performance

From: Mattias Engdegård <[email-masked]>
Date: Thu, 17 Jul 2025 18:05:14 +0200

17 juli 2025 kl. 17.09 skrev Stefan Monnier <[email-masked]>:

> Yeah, this static var is ugly, I'm in favor of removing it.

Same here. I don't think it was ever meant as an optimisation, just a quick and lazy way to implement Funintern.

> BTW, looking at the code of `Funintern` I get the impression that
> `oblookup_considering_shorthand` is wrong when the argument is a symbol:
> we should take shorthand into account only when passed a string.

Right. Funintern isn't often used but we could do a better job here.